aboutsummaryrefslogtreecommitdiff
path: root/local
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2020-12-12 11:43:29 +0100
committerKarel Kočí <cynerd@email.cz>2020-12-12 11:43:29 +0100
commit3592f266671db42a382b406d044146782905cde7 (patch)
treecca3d060aa8b2e06a6fbaf88c3f32a1d33676e17 /local
parent2de88d6cfac1bbd85ff67958bd35eb0d10ed29e4 (diff)
downloadmyconfigs-3592f266671db42a382b406d044146782905cde7.tar.gz
myconfigs-3592f266671db42a382b406d044146782905cde7.tar.bz2
myconfigs-3592f266671db42a382b406d044146782905cde7.zip
allsync: improve astroid invocation
Diffstat (limited to 'local')
-rwxr-xr-xlocal/bin/allsync4
1 files changed, 2 insertions, 2 deletions
diff --git a/local/bin/allsync b/local/bin/allsync
index 11c0ddb..4d8747b 100755
--- a/local/bin/allsync
+++ b/local/bin/allsync
@@ -10,7 +10,7 @@ i3_astroid() {
pkill -0 astroid || return 0
find "/run/user/$(id -u)/i3" "/tmp/i3-$(id -un)".* -name ipc-socket\* 2>/dev/null | \
while read -r socket; do
- i3-msg -s "$socket" "exec" "astroid" "$@"
+ i3-msg -s "$socket" "exec astroid $*"
done
}
@@ -97,7 +97,7 @@ sec "Mail"
i3_astroid --start-polling
mbsync -a || fail "Mail synchronization reported failure"
notmuch new
-~/.local/sbin/newmail-notify
+~/.local/sbin/newmail-notify || fail "Mail notifications not sent"
notmuch tag --batch --input="$HOME/.notmuch-tag-new"
i3_astroid --stop-polling
pkill -RTMIN+13 i3blocks